#ifndef CAMERA_HXX
#define CAMERA_HXX

#include "Ray.hxx"

class Camera 
{
public:
	int resX, resY;

	Camera(int resX, int resY) 
		: resX(resX),resY(resY) 
	{};

        virtual ~Camera(){};

	virtual bool InitRay(float x, float y, Ray &ray) = 0;
};
#endif
